> ## Documentation Index
> Fetch the complete documentation index at: https://docs.memoryproto.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Farcaster Following Status

> Check the indexing status of Farcaster following for an account. This endpoint does not trigger a new queue and does not cost credits. Returns 404 if the user has never been queued.



## OpenAPI

````yaml get /farcaster/following/status
openapi: 3.1.0
info:
  version: 1.0.0
  title: Memory API
  description: >-
    Memory Protocol generated from the OpenAPI specification. Register at
    https://memoryproto.co/developers to start querying user identity graphs.
    Visit https://docs.memoryproto.co for a complete documentation.
servers:
  - url: https://api.memoryproto.co
    description: Memory API
security: []
paths:
  /farcaster/following/status:
    get:
      summary: Get Farcaster Following Status
      description: >-
        Check the indexing status of Farcaster following for an account. This
        endpoint does not trigger a new queue and does not cost credits. Returns
        404 if the user has never been queued.
      parameters:
        - schema:
            type: string
            description: >-
              Farcaster username of the user. For example, memoryprotocol.eth or
              base.base.eth.
            examples:
              - memoryprotocol.eth
              - base.base.eth
          required: false
          name: username
          in: query
        - schema:
            type: number
            nullable: true
            description: Fid of the Farcaster account. For example, 244819 or 12142.
            examples:
              - 244819
              - 12142
          required: false
          name: fid
          in: query
        - schema:
            type: string
            description: Get your API key at https://memoryproto.co/developers.
            example: Bearer mem_xxx
          required: true
          name: Authorization
          in: header
      responses:
        '200':
          description: Successful response containing the following indexing status.
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    anyOf:
                      - type: string
                        enum:
                          - in_progress
                      - type: string
                        enum:
                          - queued
                      - type: string
                        enum:
                          - success
                    description: >-
                      Account follows fetch status: `queued` when the request is
                      queued, `in_progress` while data is being fetched and
                      partial results are available, and`completed` once all
                      follows have been retrieved and are available.
                    example: in_progress
                  progress:
                    type: object
                    nullable: true
                    properties:
                      current:
                        type: number
                        description: Amount of follows fetched.
                      total:
                        type: number
                        description: Total Amount of user follows.
                    required:
                      - current
                      - total
                    example:
                      current: 1245
                      total: 3632
                  timestamp:
                    type: string
                    nullable: true
                    description: >-
                      Timestamp of when the data was fetched, only available
                      when the status is `completed`.
                    example: '2025-05-09T19:51:32.016Z'
                required:
                  - status
                  - progress
                  - timestamp
        '404':
          description: The user has never been queued for following indexing.
          content:
            application/text:
              schema:
                type: string
                enum:
                  - No following data has been queued for {username}.
        '422':
          description: Missing username or fid query parameter.
          content:
            application/text:
              schema:
                type: string
                enum:
                  - Provide a username or fid query parameter.
        '500':
          description: An internal error occurred while getting the following status.
          content:
            application/text:
              schema:
                type: string
                enum:
                  - Error getting {username} following status.
      security:
        - Bearer: []
components:
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer

````